{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> { config.allowUnfree = true; };
  cloudstation = pkgs.libsForQt5.callPackage (import ../packages/cloudstation.nix) {};
in {

  security.pki.certificateFiles = [
    ../dotfiles/certs/NetzmarktCA.crt
    ../dotfiles/certs/vcenter.netzmarkt.lan.crt
  ];

  networking.extraHosts = ''
    35.234.109.94 fsi.thomann.de
  '';

  environment.systemPackages = with pkgs; [
    (import ../packages/oc311.nix)
    (import ../packages/oc46.nix)
    (import ../packages/openshift-install-4.5.nix)
    astroid
    cloudstation
    drone-cli
    nagstamon
    python37Packages.pyqt5_with_qtmultimedia # required for nagstamon
    unstable.slack
    unstable.velero
  ];
}
